close.socket {utils} | R Documentation

## Close a Socket

### Description

Closes the socket and frees the space in the file descriptor table. The port may not be freed immediately.

### Usage

    close.socket(socket, ...)

### Arguments

`socket` | a `socket` object
`...` | further arguments passed to or from other methods.

### Value

logical indicating success or failure

### Author(s)

Thomas Lumley

### See Also

`make.socket`, `read.socket`

Compiling in support for sockets was optional prior to R 3.3.0: see `capabilities("sockets")` to see if it is available.

[Package utils version 3.6.0 Index]